Package com.collibra.dgc.core.api.dto.workflow

# Class CompleteWorkflowTasksRequest.Builder

Object
Builder

Enclosing class:
  `CompleteWorkflowTasksRequest`

public static final class CompleteWorkflowTasksRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompleteWorkflowTasksRequest`
  `build()`
  `CompleteWorkflowTasksRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `CompleteWorkflowTasksRequest.Builder`
  `formProperties(Map<String,String> formProperties)`
  Deprecated.
  This field will be removed.
  `CompleteWorkflowTasksRequest.Builder`
  `guestUserId(UUID guestUserId)`
  Deprecated.
  This field will be removed without a replacement.
  `CompleteWorkflowTasksRequest.Builder`
  `taskFormProperties(Map<String,?> taskFormProperties)`
  The form properties for the workflow tasks to be completed.
  `CompleteWorkflowTasksRequest.Builder`
  `taskIds(List<UUID> taskIds)`
  Required. The list of IDs for the tasks that should be completed.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public CompleteWorkflowTasksRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `CompleteWorkflowTasksRequest.builder()`
    Clone method for this Builder.

  - ### taskIds

    public CompleteWorkflowTasksRequest.Builder taskIds(List<UUID> taskIds)
    Required. The list of IDs for the tasks that should be completed.
    Returns:
      `this`.

  - ### formProperties

    @Deprecated public CompleteWorkflowTasksRequest.Builder formProperties(Map<String,String> formProperties)
    Deprecated.
    This field will be removed. Please, use `CompleteWorkflowTasksRequest.taskFormProperties`
    The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using regular forms. This field's value will be ignored if the taskFormProperties field is populated.
    Returns:
      `this`.

  - ### taskFormProperties

    public CompleteWorkflowTasksRequest.Builder taskFormProperties(Map<String,?> taskFormProperties)
    The form properties for the workflow tasks to be completed. It allows users to complete workflow tasks using either regular forms or external json form definitions.
    Returns:
      `this`.

  - ### guestUserId

    @Deprecated public CompleteWorkflowTasksRequest.Builder guestUserId(UUID guestUserId)
    Deprecated.
    This field will be removed without a replacement.
    The ID of the guest user.
    Returns:
      `this`.

  - ### build

    public CompleteWorkflowTasksRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`